/*------------------------------------------------------------
 * Custom Styles for TinyMCE Editor
 *------------------------------------------------------------*/



/* General
 *------------------------------------------------------------*/

body#tinymce.wp-editor {
	padding-left: 170px !important;
}

body#tinymce.wp-editor .wp-caption,
body#tinymce.wp-editor iframe {
	max-width: 100%;
}

body#tinymce.wp-editor .wpview-wrap {
	clear: none;
}



/* Dropcap
 *------------------------------------------------------------*/

body#tinymce.wp-editor .dropcap {
	float: left;
	display: inline-block;
	font-weight: bold;
	width: 100px;
	vertical-align: middle;
	overflow: hidden;
	text-align: center;
}



/* Blockquote
 *------------------------------------------------------------*/

body#tinymce.wp-editor blockquote {
	padding: 0px;
	margin: 30px 0;

	font-size: 20px;
	line-height: 1.6;
	font-style: italic;
}

body#tinymce.wp-editor cite {
	font-size: 0.7em;
	font-weight: bold;
	text-decoration: overline;
}



/* Description Heading
*------------------------------------------------------------*/

body#tinymce.wp-editor .description-heading {
	margin-top: 10px;
	margin-bottom: 30px;
	font-size: 22px;
	line-height: 1.6;
	text-transform: uppercase;
}



/* Separator
 *------------------------------------------------------------*/

body#tinymce.wp-editor hr {
	border-top: 1px dotted #999;
	border-bottom: none;
	height: 0;
	margin: 30px 0;
}

body#tinymce.wp-editor .hygge-separator--small {
	border-top: 1px dotted #999;
	border-bottom: none;
	height: 0;
	margin: 30px 0;
	width: 80px;
}

body#tinymce.wp-editor [style*="center"] + .hygge-separator--small {
	margin-left: auto;
	margin-right: auto;
}
body#tinymce.wp-editor [style*="right"] + .hygge-separator--small {
	margin-left: auto;
	margin-right: 0;
}

body#tinymce.wp-editor .hygge-separator--small[style*="center"] {
	margin-left: auto;
	margin-right: auto;
}
body#tinymce.wp-editor .hygge-separator--small[style*="right"] {
	margin-left: auto;
	margin-right: 0;
}

body#tinymce.wp-editor h1 + .hygge-separator--small { margin-top: -20px; }
body#tinymce.wp-editor h2 + .hygge-separator--small { margin-top: -20px; }
body#tinymce.wp-editor h3 + .hygge-separator--small { margin-top: -20px; }
body#tinymce.wp-editor h4 + .hygge-separator--small { margin-top: -20px; }
body#tinymce.wp-editor h5 + .hygge-separator--small { margin-top: -10px; }
body#tinymce.wp-editor h6 + .hygge-separator--small { margin-top: -10px; }


body#tinymce.wp-editor hr.sideblock-clear {
	position: relative;
	background: #e2f8fc;
	border: 1px solid #93bad0;
	padding: 0px;
	opacity: 0.3;
}

body#tinymce.wp-editor hr.sideblock-clear:before {
	content: 'Unstick previous sideblock here (invisible)';
	font-family: "Open Sans",sans-serif;
	position: absolute;
	font-size: 12px;
	top: 0px;
	left: 0px;
	text-transform: uppercase;
}

body#tinymce.wp-editor hr.cl {
	position: relative;
	clear: both;
	opacity: 0.3;
}

body#tinymce.wp-editor hr.cl:before {
	content: 'Alignment Clear (invisible)';
	font-family: "Open Sans",sans-serif;
	position: absolute;
	font-size: 12px;
	top: 0px;
	left: 0px;
	text-transform: uppercase;
}



/* Note
 *------------------------------------------------------------*/

body#tinymce.wp-editor .hygge-sideblock {
	position: relative;
	background: #FDF9E3;
	border: 1px solid #D0C793;
	float: left;
	clear: left;
	width: 150px;
	padding: 10px;
	margin: 0 0px 20px -170px;
	overflow: hidden;
	-webkit-box-sizing: border-box;
	   -moz-box-sizing: border-box;
	        box-sizing: border-box;
}

body#tinymce.wp-editor .hygge-sideblock:before {
	content: 'Sideblock';
	font-family: "Open Sans",sans-serif;
	position: absolute;
	font-size: 12px;
	top: 5px;
	left: 10px;
	opacity: 0.3;
	text-transform: uppercase;
}

body#tinymce.wp-editor .hygge-sideblock + * {
	/*overflow: hidden;*/
}

body#tinymce.wp-editor .hygge-sideblock .hygge-sideblock {
	background: none;
	border: none;
	float: none;
	clear: none;
	width: auto;
	padding: 0;
	margin: 0;
}

body#tinymce.wp-editor .hygge-sideblock img {
	max-width: 100%;
}


/* Full Width
 *------------------------------------------------------------*/

body#tinymce.wp-editor .hygge-fullwidth {
	position: relative;
	background: #e2f8fc;
	border: 1px solid #93bad0;
	clear: both;
	padding: 10px;
	margin: 0 0px 20px -170px;
	overflow: hidden;
	-webkit-box-sizing: border-box;
	   -moz-box-sizing: border-box;
	        box-sizing: border-box;
}

body#tinymce.wp-editor .hygge-fullwidth:before {
	content: 'Full Width';
	font-family: "Open Sans",sans-serif;
	position: absolute;
	font-size: 12px;
	top: 5px;
	left: 10px;
	opacity: 0.3;
	text-transform: uppercase;
}

/* Content Width
 *------------------------------------------------------------*/

body#tinymce.wp-editor .hygge-contentwidth {
	position: relative;
	background: #eee2fc;
	border: 1px solid #b993d0;
	clear: both;
	padding: 10px;
	margin: 0 0px 20px -170px;
	overflow: hidden;
	-webkit-box-sizing: border-box;
	   -moz-box-sizing: border-box;
	        box-sizing: border-box;
}

body#tinymce.wp-editor .hygge-contentwidth:before {
	content: 'Content Width';
	font-family: "Open Sans",sans-serif;
	position: absolute;
	font-size: 12px;
	top: 5px;
	left: 10px;
	opacity: 0.3;
	text-transform: uppercase;
}

body#tinymce.wp-editor .hygge-fullwidth .hygge-contentwidth {
	margin: 0;
}


/* Table (through plugin)
 *------------------------------------------------------------*/

body#tinymce.wp-editor .mce-item-table {
	min-width: 50px;
}



/* Dark Mode
 *------------------------------------------------------------*/

body#tinymce.wp-editor .dark-mode {
	color: #fff;
}


body#tinymce.wp-editor .dark-mode a{
	color: #fff;
}


/* Buttons
 *------------------------------------------------------------*/

body#tinymce.wp-editor a.link--underline {
	display: inline-block;
	text-decoration: none;
	color: #444;
}

body#tinymce.wp-editor a.link--underline:after {
	content: '';
	display: block;
	height: 1px;
	background: #444;
	width: 100%;
	margin: -3px auto 0;
	opacity: 1;
}

body#tinymce.wp-editor a.link--underline:hover { color: #000; }
body#tinymce.wp-editor a.link--underline:hover:after { background: #000; }

body#tinymce.wp-editor .button {
  display: inline-block;
  font-weight: 400;
  font-style: normal;
  font-size: 12px;
  max-width: 100%;
  white-space: nowrap;
  text-overflow: ellipsis;
  overflow: hidden;
  height: 36px;
  padding: 0 25px;
  line-height: 36px;
  border-radius: 2px;
	background-position: 50% 50%;
	background-color: #72e9c6;
  color: #FFFFFF;
  text-decoration: none;
}
body#tinymce.wp-editor .button:hover {
  background: #444444;
  color: #FFFFFF;
}
body#tinymce.wp-editor .button i {
  margin: 0 10px;
}
body#tinymce.wp-editor .button + .button {
  margin-top: 10px;
}
@media only screen and (min-width: 600px) and (max-width: 1170px),only screen and (min-width: 1171px) {
  body#tinymce.wp-editor .button + .button {
    margin-left: 20px;
    margin-top: 0;
  }
}
body#tinymce.wp-editor .button--black {
  background: #444444;
  color: #FFFFFF;
}
body#tinymce.wp-editor .button--black:hover {
  background: #000000;
  color: #FFFFFF;
}
body#tinymce.wp-editor .button--white {
  background: #FFFFFF;
  color: #444444;
}
body#tinymce.wp-editor .button--white:hover {
  background: #eeeeee;
  color: #444444;
}
